#At file:///Users/jdd/bzr-repo/cluster-7.2-labs-memcached/ based on revid:john.duncan@stripped
4170 John David Duncan 2011-04-28
Some shells do not allow "return -1"
modified:
storage/ndb/memcache/sandbox.sh.in
=== modified file 'storage/ndb/memcache/sandbox.sh.in'
--- a/storage/ndb/memcache/sandbox.sh.in 2011-04-18 20:08:02 +0000
+++ b/storage/ndb/memcache/sandbox.sh.in 2011-04-28 23:58:32 +0000
@@ -99,9 +99,9 @@ memcached_is_running() {
}
test_pid() {
- test -f sandbox/$1 || return -1
+ test -f sandbox/$1 || return 1
SERVERPID=`cat $HOME_BASE/sandbox/$1`
- ps -p "$SERVERPID" > /dev/null || return -1
+ ps -p "$SERVERPID" > /dev/null || return 1
return 0
}
Attachment: [text/bzr-bundle] bzr/john.duncan@oracle.com-20110428235832-6m06zaupcr09yqa2.bundle
| Thread |
|---|
| • bzr commit into mysql-5.1-telco-7.2 branch (john.duncan:4170) | John David Duncan | 29 Apr |